<?php

#ADICIONAR ALBUM
	 if(isset($_POST['album'])) {

	$titulo			=	$_POST['titulo'];
	$texto			=	$_POST['texto'];
	if($_POST['ordem'] == ""){ $ordem = 0; } else { $ordem =	$_POST['ordem']; }
	$categoria		=	$_POST['categoria'];
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).$num.".jpg";
	$destino		=	$arquivo2;
	$destino2		=	"../images/album/".$arquivo2;	
	$status			=	$_POST['status'];
	$profissional			=	$_POST['profissional'];

	
	if(move_uploaded_file($arquivo, $destino2)) {
		WideImage::load($destino2)->resize(220)->saveToFile('../images/album/miniatura/'.$arquivo2);
		$destino3	=	"../images/album/miniatura/".$arquivo2;
		WideImage::load($destino3)->saveToFile('../images/album/miniatura/'.$arquivo2, 79);
	$insert	= "INSERT INTO tb_album (titulo, texto, imagem, ordem, cod_profissional, status) VALUES ('$titulo', '$texto','$destino', '$ordem', $profissional, $status)";
	if($query	= mysql_query($insert)){
	$insertcod		=		mysql_insert_id();
	echo "<p class='return-form'> Álbum cadastrado.</p>";
		   
	}  else {
		
		echo mysql_error();
		
		}} else {
			
			echo "<p class='return-form error'> Erro ao cadastrar. Informe o erro ao programador: <br />".mysql_error()."</p>";
			
			}}
		
	#EDITAR ALBUM
	if(isset($_POST['editar_album'])){
		if($_FILES['foto']['name'] === ""){
	if($_POST['ordem'] == ""){ $ordem = 0; } else { $ordem =	$_POST['ordem']; }
	$cod			=	$_POST['cod'];
	$titulo			=	$_POST['titulo'];
	$status			=	$_POST['status'];
	$categoria			=	$_POST['categoria'];
	$texto			=	$_POST['texto'];

	$update	= "UPDATE tb_album SET titulo = '$titulo', texto = '$texto', ordem = $ordem, status = $status WHERE cod = $cod";
	
	
	if($queryupdate	=	mysql_query($update)){
		
		echo "<p class='return-form'> Álbum editado.</p>";
		
		
		} else { 
		echo mysql_error(); 
		
	} 
			
		} else {
	
	$select 			= 	"SELECT * FROM tb_album";
	$query				=	mysql_query($select);
	$num				=	mysql_num_rows($query);		
			
	$cod			=	$_POST['cod'];
	$titulo			=	$_POST['titulo'];
	if($_POST['ordem'] == ""){ $ordem = 0; } else { $ordem =	$_POST['ordem']; }
	if($_POST['profissional'] == ""){ $profissional = 0; } else { $profissional =	$_POST['profissional']; }
	$status			=	$_POST['status'];
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	md5($arquivo).$num.".jpg";
	$destino		=	"../images/album/".$arquivo2;
	$destino2		=	$arquivo2;	
	$texto			=	$_POST['texto'];
	$select2 			= 	"SELECT * FROM tb_album WHERE cod = $cod";
	$query2				=	mysql_query($select2);
	$sql2				=	mysql_fetch_array($query2);
	$foto			=	"../images/album/".$sql2['imagem'];
	$foto2			=	"../images/album/miniatura/".$sql2['imagem'];
	
	if(unlink($foto)){} else {}
	if(unlink($foto2)){} else {}
	if(move_uploaded_file($arquivo, $destino)) {
	WideImage::load($destino)->resize(380)->saveToFile('../images/album/miniatura/'.$arquivo2);
	$destino	=	"../images/album/miniatura/".$arquivo2;
	WideImage::load($destino)->saveToFile('../images/album/miniatura/'.$arquivo2, 79);
	$update	= "UPDATE tb_album SET titulo = '$titulo', texto = '$texto', imagem = '$destino2', ordem = $ordem, cod_profissional = $profissional, status = $status WHERE cod = $cod";
	
	if($queryupdate	=	mysql_query($update)){
		
		echo "<p class='return-form'> Álbum editado.</p>";
		
		
		} else { 
		echo mysql_error(); 
		
	} } } }

#DELETAR ALBUM

if(isset($_GET['del_alb'])) {
$delcod				=	$_GET['del_alb'];
$select 			= "SELECT * FROM tb_album WHERE cod = $delcod";
$query2	=	mysql_query($select);
$sql	=	mysql_fetch_array($query2);
$foto	=	"../images/album/".$sql['imagem'];
$foto2	=	"../images/album/miniatura/".$sql['imagem'];


if(unlink($foto)){} else { echo ""; }
if(unlink($foto2)){} else { echo ""; }
$delcod				=	$_GET['del_alb'];
 $delete 			= "DELETE FROM tb_album WHERE cod = $delcod";
 $querydel			=  mysql_query($delete) or die(mysql_error());

$delfotos			= mysql_query("SELECT * FROM tb_fotos WHERE album = $delcod");
while($sqldelfotos	=	mysql_fetch_array($delfotos)){
	unlink("../images/fotos/".$sqldelfotos['imagem']);	 
	unlink("../images/fotos/miniatura/".$sqldelfotos['imagem']);	 
}

echo "<p class='return-form'> Álbum deletado.</p>";
}
?>